Bug 817727 - [abrt] kernel: WARNING: at include/net/mac80211.h:3614 iwl_rs_rate_init+0x54c/0x560 [iwlwifi]()
[abrt] kernel: WARNING: at include/net/mac80211.h:3614 iwl_rs_rate_init+0x54c...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:37af82e47ff2fa213426478bb9b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 23:34 EDT by cfs8886
Modified: 2012-11-14 10:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cfs8886 2012-04-30 23:34:37 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-3.fc16.x86_64 root=/dev/mapper/vg_lurptawp-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet rd.lvm.lv=vg_lurptawp/lv_swap rhgb rd.lvm.lv=vg_lurptawp/lv_root rd.luks=0 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8
event_log:      2012-04-30-23:33:46> Smolt profile successfully saved
kernel:         3.3.1-3.fc16.x86_64
reason:         WARNING: at include/net/mac80211.h:3614 iwl_rs_rate_init+0x54c/0x560 [iwlwifi]()
time:           Tue 10 Apr 2012 03:28:20 PM EDT

backtrace:
:WARNING: at include/net/mac80211.h:3614 iwl_rs_rate_init+0x54c/0x560 [iwlwifi]()
:Hardware name: Satellite M305
:Modules linked in: lockd nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables arc4 snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm toshiba_acpi sparse_keymap iwlwifi uvcvideo mac80211 videobuf2_core videodev media v4l2_compat_ioctl32 videobuf2_vmalloc videobuf2_memops joydev snd_timer snd soundcore microcode cfg80211 snd_page_alloc rfkill sky2 sunrpc serio_raw i2c_i801 iTCO_wdt iTCO_vendor_support wmi sdhci_pci sdhci mmc_core firewire_ohci firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 2741, comm: kworker/0:2 Not tainted 3.3.1-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810579ea>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa030f7ac>] iwl_rs_rate_init+0x54c/0x560 [iwlwifi]
: [<ffffffffa0311674>] iwlagn_mac_sta_add+0x164/0x270 [iwlwifi]
: [<ffffffffa027b087>] ieee80211_reconfig+0x517/0xbc0 [mac80211]
: [<ffffffffa025a2ec>] ? ieee80211_scan_cancel+0x9c/0x180 [mac80211]
: [<ffffffffa0252ed0>] ? ieee80211_recalc_smps_work+0x50/0x50 [mac80211]
: [<ffffffffa0252f57>] ieee80211_restart_work+0x87/0xb0 [mac80211]
: [<ffffffff810744fe>] process_one_work+0x11e/0x470
: [<ffffffff8107530f>] worker_thread+0x15f/0x360
: [<ffffffff810751b0>] ? manage_workers+0x230/0x230
: [<ffffffff81079af3>] kthread+0x93/0xa0
: [<ffffffff815fd3a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079a60>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd3a0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 3af3bc4d-405b-4af9-bfb3-abbece03d83b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3990.08
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3794
:System Swap: 5855
:Vendor: TOSHIBA
:System: Satellite M305 PSMD8U-023013
:Form factor: Notebook
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:16946:32902:4609) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10816:4473:65360) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4473:65360) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4473:65360) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4473:65360) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:9288:4473:65360) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4473:65360) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4473:65360) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4473:65360) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4473:65360) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4473:65360) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(4523:17237:4473:65360) pci, sky2, ETHERNET, Satellite P305D-S8995E
:(4631:247:4473:65360) pci, firewire_ohci, FIREWIRE, Satellite P305D-S8995E
:(4631:28960:4473:65360) pci, sdhci-pci, BASE, Satellite P305D-S8995E
:(4631:28976:4473:65360) pci, None, STORAGE, Satellite P305D-S8995E
:(32902:10818:4473:65360) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:65360) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65360) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4473:65360) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65360) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4473:65360) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4473:65360) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10570:4473:65360) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:10556:4473:65360) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lurptawp-lv_root / ext4 4096 4096 13081819 11227345 10571985 3276800 3051684 3051684
:/dev/sda3 /boot ext4 1024 1024 508745 410197 384597 128016 127785 127785
:/dev/mapper/vg_lurptawp-lv_home /home ext4 4096 4096 23654757 22979826 21795263 5922816 5914479 5914479
:
Comment 1 Josh Boyer 2012-05-01 08:28:58 EDT
Dup of 812401 ?
Comment 2 John W. Linville 2012-05-01 10:49:34 EDT
Dunno if it counts as a duplicate or not, but it is more-or-less the same thing -- iwlwifi isn't handling its rate initialization properly, and ends-up not finding suitable rates.  It is the bug that keeps on giving... :-(
Comment 3 Dave Jones 2012-10-23 11:34:59 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Justin M. Forbes 2012-11-14 10:29:26 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.